Commit 19c25c1e authored by Clint Adams's avatar Clint Adams

ghc-mod: Upgrading from 5.6.0.0 to 5.7.0.0

parent b975c62f
ghc-mod (5.7.0.0-1) unstable; urgency=medium
* New upstream release
-- Clint Adams <clint@debian.org> Wed, 05 Jul 2017 21:16:01 -0400
ghc-mod (5.6.0.0-3) unstable; urgency=medium
* Team upload.
......
......@@ -10,61 +10,68 @@ Build-Depends:
ghc (>= 8),
ghc-prof,
haskell-devscripts (>= 0.13),
libghc-async-dev,
libghc-cabal-helper-dev (>= 0.7.3.0),
libghc-cabal-helper-dev (<< 0.8),
libghc-cabal-helper-dev (>= 0.7.1.0),
libghc-cabal-helper-prof,
libghc-djinn-ghc-dev (<< 0.1),
libghc-djinn-ghc-dev (>= 0.0.2.2),
libghc-djinn-ghc-prof,
libghc-extra-dev (<< 1.5),
libghc-extra-dev (>= 1.4),
libghc-extra-dev (>= 1.4.0),
libghc-extra-dev (<< 1.6),
libghc-extra-prof,
libghc-fclabels-dev (<< 2.1),
libghc-fclabels-dev (>= 2.0),
libghc-fclabels-prof,
libghc-ghc-paths-dev (>= 0.1.0.9),
libghc-ghc-paths-dev (<< 0.2),
libghc-ghc-paths-prof,
libghc-ghc-syb-utils-dev (>= 0.2.3),
libghc-ghc-syb-utils-dev (<< 0.3),
libghc-ghc-syb-utils-prof,
libghc-hlint-dev (<< 1.10),
libghc-src-exts-dev (>= 1.16.0.1),
libghc-src-exts-dev (<< 1.19),
libghc-src-exts-prof,
libghc-hlint-dev (>= 1.9.27),
libghc-hlint-dev (<< 1.10),
libghc-hlint-prof,
libghc-monad-control-dev (<< 1.1),
libghc-monad-control-dev (>= 1),
libghc-monad-control-dev (>= 1.0),
libghc-monad-control-prof,
libghc-monad-journal-dev (<< 0.8),
libghc-monad-journal-dev (>= 0.4),
libghc-monad-journal-dev (<< 0.8),
libghc-monad-journal-prof,
libghc-mtl-dev (<< 2.3),
libghc-mtl-dev (>= 2.0),
libghc-mtl-prof,
libghc-old-time-dev (<< 1.2),
libghc-old-time-prof,
libghc-optparse-applicative-dev (<< 0.13.0),
libghc-optparse-applicative-dev (>= 0.11.0),
libghc-optparse-applicative-dev (<< 0.14.0),
libghc-optparse-applicative-prof,
libghc-pipes-dev (<< 4.2),
libghc-pipes-dev (>= 4.1),
libghc-pipes-dev (>= 4.1.0),
libghc-pipes-dev (<< 4.4),
libghc-pipes-prof,
libghc-safe-dev (<< 0.4),
libghc-safe-dev (>= 0.3.9),
libghc-safe-prof,
libghc-split-dev (>= 0.2.2),
libghc-split-dev (<< 0.3),
libghc-split-prof,
libghc-src-exts-dev (<< 1.18),
libghc-src-exts-prof,
libghc-syb-dev (>= 0.5.1),
libghc-syb-dev (<< 0.7),
libghc-syb-prof,
libghc-temporary-dev (>= 1.2.0.3),
libghc-temporary-dev (<< 1.3),
libghc-temporary-prof,
libghc-text-dev (>= 1.2.1.3),
libghc-text-dev (<< 1.3),
libghc-text-prof,
libghc-transformers-base-dev (>= 0.4.4),
libghc-transformers-base-dev (<< 0.5),
libghc-transformers-base-prof,
Build-Depends-Indep:
ghc-doc,
libghc-semigroups-dev (>= 0.10.0),
libghc-semigroups-dev (<< 0.19),
Build-Depends-Indep: ghc-doc,
libghc-cabal-helper-doc,
libghc-djinn-ghc-doc,
libghc-extra-doc,
......@@ -85,7 +92,7 @@ Build-Depends-Indep:
libghc-temporary-doc,
libghc-text-doc,
libghc-transformers-base-doc,
Standards-Version: 3.9.8
Standards-Version: 4.0.0
Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/ghc-mod
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
......
Description: Bump directory versions on buildds.
Author: Bhavani Shankar <bhavi@ubuntu.com>
--- ghc-mod-5.6.0.0.orig/ghc-mod.cabal
+++ ghc-mod-5.6.0.0/ghc-mod.cabal
@@ -176,7 +176,7 @@ Library
, containers < 0.6
, cabal-helper < 0.8 && >= 0.7.1.0
, deepseq < 1.5
- , directory < 1.3
+ , directory > 1.3
, filepath < 1.5
, ghc < 8.2 && >= 7.6
, ghc-paths < 0.2
@@ -221,7 +221,7 @@ Executable ghc-mod
Default-Extensions: ConstraintKinds, FlexibleContexts
HS-Source-Dirs: src
Build-Depends: base < 5 && >= 4.0
- , directory < 1.3
+ , directory > 1.3
, filepath < 1.5
, pretty < 1.2
, process < 1.5
@@ -246,7 +246,7 @@ Executable ghc-modi
Build-Depends: base < 5 && >= 4.0
, binary < 0.9 && >= 0.5.1.0
, deepseq < 1.5
- , directory < 1.3
+ , directory > 1.3
, filepath < 1.5
, process < 1.5
, old-time < 1.2
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment